## org.apache.cassandra.db.columniterator
Interface ICountableColumnIterator

All Superinterfaces:
  java.io.Closeable, CloseableIterator<IColumn>, IColumnIterator, java.util.Iterator<IColumn>

All Known Implementing Classes:
  SSTableIdentityIterator

    public interface ICountableColumnIterator

extends IColumnIterator

Method Summary
`int` `getColumnCount()`
`void` `reset()`

Methods inherited from interface org.apache.cassandra.db.columniterator.IColumnIterator
`close, getColumnFamily, getKey`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### getColumnCount

    int getColumnCount()

### reset

    void reset()

Copyright © 2012 The Apache Software Foundation